RandomStringOfWords.com

Aug 2007 22

Upgrading Woes

Randomstrings

Recently I decided it was time to upgrade both my blogging software, and my forum software.  Both are quite far behind the times, and lacking some features I'd very much like to have.

The problem is, they are so far behind that they upgrades have higher requirements than my server can meet at the moment..  sigh  It's taken a lot of effort on my part, as well as begging a lot of information from coworkers to get this upgrade going.  (Pretty sure they are sick of it -- and I'm not done yet)  The problem is my collocation box is a Core2 box, and has all manner of ancient chinese secrets floating about it.  Most of it is stuff that is just magic to me.

I really like linux, I think in general that linux is the right way to do an OS, but it can be quite complex. That complexity is both it's strength and it's weakness.   It's strength in that, what do you want to do?  You can.   It's weakness in that,  complexity drives people away.  So much so that they would prefer to go use some mind numbing OS that does everything for them. (I give you.. Vista)

This project has taught me a lot. I'm constantly learning new things, and I feel my knowledge inch up day by day.. even so its an up hill battle for sure.

So.. in short I want to upgrade WordPress 2.05 to 2.2+ and Invision Power Board 2.17 to 2.3+ but to do that, I have to upgrade MySQL 3.23 to 5.0+ and PHP 4.3 to 5.2+ .

I'd really like to upgrade my Core2 box to something a little more recent .. but thats WAY out of my realm, especially remotely.

Comments